Python glanceclient模块SSL证书校验安全漏洞

漏洞起因
设计错误
危险等级

影响系统
Python glanceclient Module 0.9

不受影响系统

危害
远程攻击者可以利用漏洞伪造证书获取敏感信息。
CVSSv2:

攻击所需条件
攻击者必须访问Python-glanceclient。

漏洞信息
Python-glanceclient是一款OpenStack Image API客户端库。
Python-glanceclient没有正确校验服务器SSL证书,允许远程攻击者利用漏洞通过中间人攻击伪造服务器,获取敏感信息。

测试方法
安全建议

厂商解决方案
用户可参考如下厂商提供的安全公告获得补丁信息:
https://bugs.launchpad.net/ossa/+bug/1192229

漏洞提供者
Thomas Leaman